'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reselect = require('reselect');

var getSpark = function getSpark(state, ownProps) {
  return ownProps.sparkInstance || state.spark.get('spark');
};
var getConversation = function getConversation(state) {
  return state.conversation;
};
var getActivity = function getActivity(state) {
  return state.activity;
};

var getContainerProps = (0, _reselect.createSelector)([getSpark, getConversation, getActivity], function (spark, conversation, activity) {
  return {
    spark: spark,
    conversation: conversation,
    activity: activity
  };
});

exports.default = getContainerProps;